> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Card Brand

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Card Brand simulation is available for Credit Card Accounts that have been verified and are subscribed to the Card Brands product.

Simulating a Card Brand will mimic a new card brand being retrieved for a specific Account.

## Path Parameters

<ParamList
  items={[
{
name: 'acc_id',
type: 'string',
required: true,
description: 'ID of the Account.',
},
]}
/>

## Body

<ParamList
  items={[
{
name: 'brand_id',
type: 'string',
required: true,
description: "The ID of the card brand to simulate.",
}
]}
/>

## Returns

Returns the Card Brand object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://dev.methodfi.com/simulate/accounts/{acc_id}/card_brands \
    -X POST \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "brand_id": "pdt_15_brd_1"
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .accounts(acc_id)
    .simulate
    .cardBrands
    .create({
      brand_id: "pdt_15_brd_1"
    });
  ```

  ```python Python theme={null}
  response = method
    .accounts(acc_id)
    .simulate
    .card_brands
    .create({"brand_id": "pdt_15_brd_1"})
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "cbrd_Accm7P6t6mYQP",
    "account_id": "acc_LxwEqNicr66yP",
    "brands": [
      {
        "id": "pdt_15_brd_1",
        "card_product_id": "pdt_15",
        "description": "Chase Sapphire Reserve",
        "name": "Chase Sapphire Reserve",
        "issuer": "Chase",
        "network": "visa",
        "network_tier": "infinite",
        "type": "specific",
        "url": "https://static.methodfi.com/card_brands/1b7ccaba6535cb837f802d968add4700.png"
      }
    ],
    "status": "completed",
    "source": "method",
    "error": null,
    "created_at": "2025-08-12T00:56:50.139Z",
    "updated_at": "2025-08-12T00:56:50.139Z"
  }
  ```
</ResponseExample>
